Main Page Modules Class Hierarchy Compound List File List Compound Members

# SAXHandler Class Reference

`#include <saxparser.h>`

Inheritance diagram for SAXHandler::

List of all members.

## Public Methods

| SAXHandler ()
virtual | ~SAXHandler ()
virtual void | startElement (const char *name, const char **atts)
virtual void | endElement (const char *name)
virtual void | characterData (const char *s, int len)
virtual void | processingInstruction (const char *target, const char *data)
virtual void | comment (const char *data)
virtual void | startCdataSection ()
virtual void | endCdataSection ()

## Protected Methods

virtual void | setParser (SAXParser *p)

## Protected Attributes

SAXParser* | parser

## Detailed Description

Base class for SAX event handlers needed by XMLParser. This is a simplified SAX handler interface.

All event handlers provided by this class are empty, one must subclass SAXHandler and redefine the event handler to make them do something useful.

## Constructor & Destructor Documentation

SAXHandler::SAXHandler ( | )`[inline]`

| Constructor

SAXHandler::~SAXHandler ( | )`[inline, virtual]`

| Destructor

## Member Function Documentation

void SAXHandler::characterData ( | const char * s,
| int len )`[inline, virtual]`

| Called by the parser on SAX CharacterData events. Reimplemented in NEDSAXHandler.

void SAXHandler::comment ( | const char * data )`[inline, virtual]`

| Called by the parser on SAX Comment events. Reimplemented in NEDSAXHandler.

void SAXHandler::endCdataSection ( | )`[inline, virtual]`

| Called by the parser on SAX CDataEnd events. Reimplemented in NEDSAXHandler.

void SAXHandler::endElement ( | const char * name )`[inline, virtual]`

| Called by the parser on SAX EndElement events. Reimplemented in NEDSAXHandler.

void SAXHandler::processingInstruction ( | const char * target,
| const char * data )`[inline, virtual]`

| Called by the parser on SAX ProcessingInstruction events. Reimplemented in NEDSAXHandler.

void SAXHandler::startCdataSection ( | )`[inline, virtual]`

| Called by the parser on SAX CDataStart events. Reimplemented in NEDSAXHandler.

void SAXHandler::startElement ( | const char * name,
| const char ** atts )`[inline, virtual]`

| Called by the parser on SAX StartElement events. Reimplemented in NEDSAXHandler.

The documentation for this class was generated from the following file:

- saxparser.h